List messages across inboxes or for one inbox
curl --request GET \
--url https://api.dairo.app/v1/messages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dairo.app/v1/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dairo.app/v1/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"messages": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inboxId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"threadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"direction": "inbound",
"status": "<string>",
"from": {
"address": "<string>",
"name": "<string>"
},
"to": [
"<string>"
],
"cc": [
"<string>"
],
"bcc": [
"<string>"
],
"subject": "<string>",
"textPreview": "<string>",
"hasHtml": true,
"hasAttachments": true,
"receivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"channel": "email",
"textBody": "<string>",
"htmlBody": "<string>",
"attachments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"contentType": "<string>",
"sizeBytes": 1,
"contentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"messageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"disposition": "attachment"
}
],
"structured": {},
"extractionStatus": "skipped",
"channelMetadata": {}
}
],
"pagination": {
"nextCursor": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}Messages
List messages across inboxes or for one inbox
List messages across inboxes or for one inbox
GET
/
v1
/
messages
List messages across inboxes or for one inbox
Authorizations
Dairo API key, e.g. dairo_test_... or dairo_live_...
Query Parameters
Required range:
1 <= x <= 100Available options:
inbound, outbound Filter to a single channel. "email" and "a2a" are live today; the remaining values are reserved for future channels (they filter to an empty list until wired). Unknown values are a 400.
Available options:
email, a2a, sms, whatsapp, telegram, slack, webchat, voice, push, api